### Method

# Pango Layout write_to_file

#### Declaration [src]

    gboolean
    pango_layout_write_to_file (
      PangoLayout* layout,
      PangoLayoutSerializeFlags flags,
      const char* filename,
      GError** error
    )

#### Description [src]

A convenience method to serialize a layout to a file.

It is equivalent to calling `pango_layout_serialize()` followed by `g_file_set_contents()`.

See those two functions for details on the arguments.

It is mostly intended for use inside a debugger to quickly dump a layout to a file for later inspection.

Available since: | 1.50

#### Parameters

`flags` | `PangoLayoutSerializeFlags`
| `PangoLayoutSerializeFlags`
`filename` | `const char*`
| The file to save it to.
| The data is owned by the caller of the function.
| The value is a file system path, using the OS encoding.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if saving was successful.